Page MenuHomePhabricator

No longer block user from clicking results when page is loading.
Closed, ResolvedPublic

Description

Don't block the user from clicking results while the page is loading.

Note this should only be merged after T166908: ChangesListSpecialPage backend: Respect saved query if no parameters is done.

It should still block clicks on the results when changing filters.

Event Timeline

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptAug 17 2017, 6:53 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Mattflaschen-WMF renamed this task from No longer block user from clicking results to No longer block user from clicking results when page is loading..Aug 17 2017, 7:02 PM
Mattflaschen-WMF updated the task description. (Show Details)
Mooeypoo added a subscriber: Mooeypoo.

Moving to blocked, as this is waiting on two patches that are less urgent but need to be merged enough time before a cut to allow for rigorous testing.

Change 379148 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/core@master] RCFilters: Don't grey out results area when initializing, unless there's a default saved query

https://gerrit.wikimedia.org/r/379148

TheDJ added a subscriber: TheDJ.Sep 20 2017, 8:34 AM

Please think of T176300: Fix page reflow on Watchlist and Recent Changes when this gets done... combined, i'm sure they will account for a significant amount of 'misclicks' by people.

Change 379148 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Don't grey out results area when initializing, unless there's a default saved query

https://gerrit.wikimedia.org/r/379148

Please think of T176300: Fix page reflow on Watchlist and Recent Changes when this gets done... combined, i'm sure they will account for a significant amount of 'misclicks' by people.

Yes, that's what I was planning to work on next.

Change 379279 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/core@wmf/1.30.0-wmf.19] RCFilters: Don't grey out results area when initializing, unless there's a default saved query

https://gerrit.wikimedia.org/r/379279

Change 379279 merged by jenkins-bot:
[mediawiki/core@wmf/1.30.0-wmf.19] RCFilters: Don't grey out results area when initializing, unless there's a default saved query

https://gerrit.wikimedia.org/r/379279

Mentioned in SAL (#wikimedia-operations) [2017-09-20T19:02:15Z] <catrope@tin> Finished scap: Patches for T176302, T175962, T173533 (duration: 21m 29s)

The result area does not grey out when a page reloads (or navigated from another page via clicking on the browser back button or on the 'Recent changes' link)

betalabs - the page loads with the results not greyed out

Compare with enwiki (wmf.18)

Etonkovidova closed this task as Resolved.Sep 20 2017, 10:45 PM
Etonkovidova triaged this task as Medium priority.

Change 381389 had a related patch set uploaded (by Legoktm; owner: Catrope):
[mediawiki/core@REL1_30] RCFilters: Don't grey out results area when initializing, unless there's a default saved query

https://gerrit.wikimedia.org/r/381389

Change 381389 merged by jenkins-bot:
[mediawiki/core@REL1_30] RCFilters: Don't grey out results area when initializing, unless there's a default saved query

https://gerrit.wikimedia.org/r/381389